VkDescriptorPoolCreateInfo Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkDescriptorPoolCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkDescriptorPoolCreateFlags | flags
uint32_t | maxSets
uint32_t | poolSizeCount
const VkDescriptorPoolSize * | pPoolSizes

## Detailed Description

Definition at line 2552 of file vulkan_core.h.

## Field Documentation

## flags

VkDescriptorPoolCreateFlags VkDescriptorPoolCreateInfo::flags

Definition at line 2555 of file vulkan_core.h.

## maxSets

uint32_t VkDescriptorPoolCreateInfo::maxSets

Definition at line 2556 of file vulkan_core.h.

## pNext

const void* VkDescriptorPoolCreateInfo::pNext

Definition at line 2554 of file vulkan_core.h.

## poolSizeCount

uint32_t VkDescriptorPoolCreateInfo::poolSizeCount

Definition at line 2557 of file vulkan_core.h.

## pPoolSizes

const VkDescriptorPoolSize* VkDescriptorPoolCreateInfo::pPoolSizes

Definition at line 2558 of file vulkan_core.h.

## sType

VkStructureType VkDescriptorPoolCreateInfo::sType

Definition at line 2553 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h